Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CartConfiguration Class Reference

## Public Member Functions
| CartConfiguration (float _cart_width, float _cart_height, float _cart_depth, float _usable_capacity, int _number_of_shelves)
| constructor for a cart pattern, this pattern will be used while creating new carts, paramteres like depth and width will be inhereted by cart shelves More...
Cart | getCartPattern ()
| get the created cart pattern More...
void | removeCartShelves ()
| removed all shelves from cart More...
void | addCartShelf (float _shelf_width, float _shelf_height, float _shelf_depth, float _usable_capacity)
| add shelf of given parameters More...
| CartConfiguration (float _cart_width, float _cart_height, float _cart_depth, float _usable_capacity, int _number_of_shelves)
| constructor for a cart pattern, this pattern will be used while creating new carts, paramteres like depth and width will be inhereted by cart shelves More...
Cart | getCartPattern ()
| get the created cart pattern More...
void | removeCartShelves ()
| removed all shelves from cart More...
void | addCartShelf (float _shelf_width, float _shelf_height, float _shelf_depth, float _usable_capacity)
| add shelf of given parameters More...

## Constructor & Destructor Documentation

## ◆ CartConfiguration() [1/2]

CartConfiguration::CartConfiguration | ( | float | _cart_width,
|  | float | _cart_height,
|  | float | _cart_depth,
|  | float | _usable_capacity,
|  | int | _number_of_shelves
| ) |  |

constructor for a cart pattern, this pattern will be used while creating new carts, paramteres like depth and width will be inhereted by cart shelves

Warning
  be sure that it will be compatible with the box configuration, because there is slight simplification
  when called, there will be automaticcaly constructed cart with shelves according to the number, each of height in particular proportion

Parameters

  _cart_width | the usable width of the cart (the number must exclude all frames!)
  _cart_height | the usable height of the cart (the number must exclude all frames!)
  _cart_depth | the usable depth of the cart (the number must exclude all frames!)
  _usable_capacity | the usable capacity of the whole computed capacity (volume) of the cart, will be inhereted by the shelves

## ◆ CartConfiguration() [2/2]

CartConfiguration::CartConfiguration | ( | float | _cart_width,
|  | float | _cart_height,
|  | float | _cart_depth,
|  | float | _usable_capacity,
|  | int | _number_of_shelves
| ) |  |

constructor for a cart pattern, this pattern will be used while creating new carts, paramteres like depth and width will be inhereted by cart shelves

Warning
  be sure that it will be compatible with the box configuration, because there is slight simplification
  when called, there will be automaticcaly constructed cart with shelves according to the number, each of height in particular proportion

Parameters

  _cart_width | the usable width of the cart (the number must exclude all frames!)
  _cart_height | the usable height of the cart (the number must exclude all frames!)
  _cart_depth | the usable depth of the cart (the number must exclude all frames!)
  _usable_capacity | the usable capacity of the whole computed capacity (volume) of the cart, will be inhereted by the shelves

## Member Function Documentation

## ◆ addCartShelf() [1/2]

void CartConfiguration::addCartShelf | ( | float | _shelf_width,
|  | float | _shelf_height,
|  | float | _shelf_depth,
|  | float | _usable_capacity
| ) |  |

add shelf of given parameters

Warning
  the parameters can overflow the cart paramterers and it won't be noticed!!!!

## ◆ addCartShelf() [2/2]

void CartConfiguration::addCartShelf | ( | float | _shelf_width,
|  | float | _shelf_height,
|  | float | _shelf_depth,
|  | float | _usable_capacity
| ) |  |

add shelf of given parameters

Warning
  the parameters can overflow the cart paramterers and it won't be noticed!!!!

## ◆ getCartPattern() [1/2]

Cart CartConfiguration::getCartPattern | ( |  | ) |

get the created cart pattern

Returns
  created cart pattern to be used while creating carts used in algorithm

## ◆ getCartPattern() [2/2]

Cart CartConfiguration::getCartPattern | ( |  | ) |

get the created cart pattern

Returns
  created cart pattern to be used while creating carts used in algorithm

## ◆ removeCartShelves() [1/2]

void CartConfiguration::removeCartShelves | ( |  | ) |

removed all shelves from cart

Warning
  when no else shelf created, the algorithm won't work

## ◆ removeCartShelves() [2/2]

void CartConfiguration::removeCartShelves | ( |  | ) |

removed all shelves from cart

Warning
  when no else shelf created, the algorithm won't work

The documentation for this class was generated from the following files:

- setup_configuration.h
- WarehousePickingOpt.h
- setup_configuration.cpp